org.apache.fop.render.intermediate

## Class AffineTransformArrayParser

- java.lang.Object
- - org.apache.fop.render.intermediate.AffineTransformArrayParser

All Implemented Interfaces:
  org.apache.batik.parser.TransformListHandler

    public class AffineTransformArrayParser
    extends Object
    implements org.apache.batik.parser.TransformListHandler

This class parses a sequence of transformations into an array of `AffineTransform` instances.

### Constructor Summary

Constructors
Constructor and Description
`AffineTransformArrayParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AffineTransform[]` `createAffineTransform(Reader r)` Utility method for creating an AffineTransform array.
`static AffineTransform[]` `createAffineTransform(String s)` Utility method for creating an AffineTransform.
`void` `endTransformList()`
`AffineTransform[]` `getAffineTransforms()` Returns the AffineTransform array initialized during the last parsing.
`void` `matrix(float a, float b, float c, float d, float e, float f)`
`void` `rotate(float theta)`
`void` `rotate(float theta, float cx, float cy)`
`void` `scale(float sx)`
`void` `scale(float sx, float sy)`
`void` `skewX(float skx)`
`void` `skewY(float sky)`
`void` `startTransformList()`
`void` `translate(float tx)`
`void` `translate(float tx, float ty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AffineTransformArrayParser

    public AffineTransformArrayParser()

### Method Detail

#### createAffineTransform

    public static AffineTransform[] createAffineTransform(Reader r)
                                                   throws org.apache.batik.parser.ParseException

Utility method for creating an AffineTransform array.

Parameters:
  `r` - The reader used to read the transform specification.
Returns:
  the AffineTransform array
Throws:
  `org.apache.batik.parser.ParseException` - if there's a parse error

#### createAffineTransform

    public static AffineTransform[] createAffineTransform(String s)
                                                   throws org.apache.batik.parser.ParseException

Utility method for creating an AffineTransform.

Parameters:
  `s` - The transform specification.
Returns:
  the AffineTransform array
Throws:
  `org.apache.batik.parser.ParseException` - if there's a parse error

#### getAffineTransforms

    public AffineTransform[] getAffineTransforms()

Returns the AffineTransform array initialized during the last parsing.

Returns:
  the array or null if this handler has not been used by a parser.

#### startTransformList

    public void startTransformList()
                            throws org.apache.batik.parser.ParseException

Specified by:
  `startTransformList` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### matrix

    public void matrix(float a,
                       float b,
                       float c,
                       float d,
                       float e,
                       float f)
                throws org.apache.batik.parser.ParseException

Specified by:
  `matrix` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### rotate

    public void rotate(float theta)
                throws org.apache.batik.parser.ParseException

Specified by:
  `rotate` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### rotate

    public void rotate(float theta,
                       float cx,
                       float cy)
                throws org.apache.batik.parser.ParseException

Specified by:
  `rotate` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### translate

    public void translate(float tx)
                   throws org.apache.batik.parser.ParseException

Specified by:
  `translate` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### translate

    public void translate(float tx,
                          float ty)
                   throws org.apache.batik.parser.ParseException

Specified by:
  `translate` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### scale

    public void scale(float sx)
               throws org.apache.batik.parser.ParseException

Specified by:
  `scale` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### scale

    public void scale(float sx,
                      float sy)
               throws org.apache.batik.parser.ParseException

Specified by:
  `scale` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### skewX

    public void skewX(float skx)
               throws org.apache.batik.parser.ParseException

Specified by:
  `skewX` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### skewY

    public void skewY(float sky)
               throws org.apache.batik.parser.ParseException

Specified by:
  `skewY` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`

#### endTransformList

    public void endTransformList()
                          throws org.apache.batik.parser.ParseException

Specified by:
  `endTransformList` in interface `org.apache.batik.parser.TransformListHandler`
Throws:
  `org.apache.batik.parser.ParseException`